Props for the RegisterForm components. Extends ILoginFormProps

Required props are callbacks IEmailProps.onEmailChanged, IPhoneProps.onPhoneChanged and IPasswordProps.onPasswordChanged.

Allows you to customize IEmailProps.initialEmail / phone / password as well as IEmailProps.emailInputProps.

### Hierarchy

- IEmailProps
- IPasswordProps
- IPhoneProps
  - IRegisterFormProps

## Index

### Properties

- emailInputProps
- initialEmail
- initialPassword
- initialPhone
- onEmailChanged
- onPasswordChanged
- onPhoneChanged
- passwordInputProps
- phoneInputProps

## Properties

### Optional emailInputProps

emailInputProps: ICrossEditorProps | undefined

Inherited from IEmailProps.emailInputProps

- Defined in types.ts:79

Optional props for the e-mail input. Typically used to change the `label` prop. See {@link ICrossEditorProps}

### Optional initialEmail

initialEmail: string | undefined

Inherited from IEmailProps.initialEmail

- Defined in types.ts:74

Optional initial value for the e-mail input

### Optional initialPassword

initialPassword: string | undefined

Inherited from IPasswordProps.initialPassword

- Defined in types.ts:93

Optional initial value for the password input

### Optional initialPhone

initialPhone: string | undefined

Inherited from IPhoneProps.initialPhone

- Defined in types.ts:55

Optional initial value for the phone input

### onEmailChanged

onEmailChanged: function

Inherited from IEmailProps.onEmailChanged

- Defined in types.ts:70

Occurs when the user inputs e-mail

#### Type declaration

- - (email: string | undefined): void

  - #### Parameters

    - ##### email: string | undefined

    #### Returns void

### onPasswordChanged

onPasswordChanged: function

Inherited from IPasswordProps.onPasswordChanged

- Defined in types.ts:89

Occurs when the user inputs password

#### Type declaration

- - (password: string | undefined): void

  - #### Parameters

    - ##### password: string | undefined

    #### Returns void

### onPhoneChanged

onPhoneChanged: function

Inherited from IPhoneProps.onPhoneChanged

- Defined in types.ts:51

Occurs when the user inputs phone

#### Type declaration

- - (password: string | undefined): void

  - #### Parameters

    - ##### password: string | undefined

    #### Returns void

### Optional passwordInputProps

passwordInputProps: ICrossEditorProps | undefined

Inherited from IPasswordProps.passwordInputProps

- Defined in types.ts:98

Optional props for the password input. Typically used to change the `label` prop. See {@link ICrossEditorProps}

### Optional phoneInputProps

phoneInputProps: ICrossEditorProps | undefined

Inherited from IPhoneProps.phoneInputProps

- Defined in types.ts:60

Optional props for the phone input. Typically used to change the `label` prop or change the `maskProps`. See {@link ICrossEditorProps}